> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lambdadb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List documents

> List documents in a collection. Vector values are excluded unless includeVectors is true.



## OpenAPI

````yaml get /collections/{collectionName}/docs
openapi: 3.1.1
info:
  title: LambdaDB API
  summary: LambdaDB Open API Spec
  version: 1.1.1
servers:
  - url: https://{projectHost}
    description: LambdaDB API endpoints
    variables:
      projectHost:
        description: The project-scoped URL of the API
        default: api.lambdadb.ai/projects/example-project
security: []
tags:
  - name: collections
  - name: collections.docs
paths:
  /collections/{collectionName}/docs:
    get:
      tags:
        - collections.docs
      description: >-
        List documents in a collection. Vector values are excluded unless
        includeVectors is true.
      operationId: listDocs
      parameters:
        - $ref: '#/components/parameters/CollectionName'
        - in: query
          name: size
          description: Max number of documents to return at once.
          schema:
            type: integer
            minimum: 1
            maximum: 100
        - in: query
          name: pageToken
          description: Next page token.
          schema:
            type: string
        - in: query
          name: includeVectors
          description: >-
            Set to true to include vector values in the response. Defaults to
            false.
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Documents list.
          content:
            application/json:
              schema:
                type: object
                properties:
                  total:
                    type: integer
                  docs:
                    type: array
                    items:
                      type: object
                      properties:
                        collection:
                          type: string
                        doc:
                          type: object
                          additionalProperties: true
                      required:
                        - collection
                        - doc
                  nextPageToken:
                    type: string
                  isDocsInline:
                    type: boolean
                  docsUrl:
                    type: string
                required:
                  - total
                  - docs
                  - isDocsInline
              examples:
                example:
                  summary: Example response for documents list
                  value:
                    total: 2
                    docs:
                      - collection: example-collection-name
                        doc:
                          id: doc-1
                          title: Example document 1
                          category: docs
                      - collection: example-collection-name
                        doc:
                          id: doc-2
                          title: Example document 2
                          category: docs
                    nextPageToken: >-
                      eyJpZCI6ICJhYmMiLCAiY3JlYXRlZF9hdCI6ICIyMDI0LTExLTA1VDE0OjI3OjU2KzAwOjAwIn0=
                    isDocsInline: true
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequest'
              examples:
                example:
                  summary: Example response for bad request
                  value:
                    message: Invalid request
        '401':
          description: Unauthenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthenticated'
              examples:
                example:
                  summary: Example response for authentication failure
                  value:
                    message: Authentication failed
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResourceNotFound'
              examples:
                example:
                  summary: Example response for resource not found
                  value:
                    message: Resource not found
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequests'
              examples:
                example:
                  summary: Example response for too many requests
                  value:
                    message: Too many requests
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
              examples:
                example:
                  summary: Example response for internal server error
                  value:
                    message: Internal server error
      security:
        - ProjectApiKey: []
components:
  parameters:
    CollectionName:
      in: path
      name: collectionName
      description: Collection name.
      required: true
      schema:
        type: string
  schemas:
    BadRequest:
      title: BadRequest
      type: object
      properties:
        message:
          type: string
    Unauthenticated:
      title: Unauthenticated
      type: object
      properties:
        message:
          type: string
    ResourceNotFound:
      title: ResourceNotFound
      type: object
      properties:
        message:
          type: string
    TooManyRequests:
      title: TooManyRequests
      type: object
      properties:
        message:
          type: string
    InternalServerError:
      title: InternalServerError
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    ProjectApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Project API Key.
      x-speakeasy-example: <YOUR_PROJECT_API_KEY>

````